summaryrefslogtreecommitdiff
path: root/newapkbuild.in
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2019-11-07 11:21:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2019-11-07 11:42:23 +0000
commitf3dc428ea08900f65fbd24586ae841e1bc687520 (patch)
treee8041aa4b7a40e1e14d5d59b22a5c57eb3fd8e4a /newapkbuild.in
parent43fb2c012e4c8a6394e9177e48999bde4de1846a (diff)
downloadabuild-f3dc428ea08900f65fbd24586ae841e1bc687520.tar.gz
abuild-f3dc428ea08900f65fbd24586ae841e1bc687520.tar.bz2
abuild-f3dc428ea08900f65fbd24586ae841e1bc687520.tar.xz
abuild-f3dc428ea08900f65fbd24586ae841e1bc687520.zip
rename datadir -> sharedir
abuild uses datadir as local variable in various functions. Rename the global datadir to sharedir to avoid confusion.
Diffstat (limited to 'newapkbuild.in')
-rw-r--r--newapkbuild.in16
1 files changed, 8 insertions, 8 deletions
diff --git a/newapkbuild.in b/newapkbuild.in
index 6130a4c..f50276b 100644
--- a/newapkbuild.in
+++ b/newapkbuild.in
@@ -7,13 +7,13 @@
#
program_version=@VERSION@
-datadir=@datadir@
+sharedir=@sharedir@
-if ! [ -f "$datadir/functions.sh" ]; then
- echo "$datadir/functions.sh: not found" >&2
+if ! [ -f "$sharedir/functions.sh" ]; then
+ echo "$sharedir/functions.sh: not found" >&2
exit 1
fi
-. "$datadir/functions.sh"
+. "$sharedir/functions.sh"
is_url() {
@@ -246,10 +246,10 @@ newaport() {
# Copy init.d scripts if requested
if [ -n "$cpinitd" ]; then
- cp "$datadir"/sample.initd $pkgname.initd
- cp "$datadir"/sample.confd $pkgname.confd
- cp "$datadir"/sample.pre-install $pkgname.pre-install
- cp "$datadir"/sample.post-install $pkgname.post-install
+ cp "$sharedir"/sample.initd $pkgname.initd
+ cp "$sharedir"/sample.confd $pkgname.confd
+ cp "$sharedir"/sample.pre-install $pkgname.pre-install
+ cp "$sharedir"/sample.post-install $pkgname.post-install
install="\$pkgname.pre-install \$pkgname.post-install"
source="$source
$pkgname.initd